Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class Ascape3DAdapterFactory

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.Ascape3DAdapterFactory

    public class Ascape3DAdapterFactory

extends java.lang.Object

A factory for creating ScapeAdapter objects.

Field Summary
`(package private) Ascape3DPartFactory` | `factory`
`(package private) I3DModelFactoryProvider` | `factoryProvider`
`private static java.lang.Class[]` | `TYPES`

Constructor Summary
`Ascape3DAdapterFactory()`

Method Summary
`java.lang.Object` | `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` | `getAdapterList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPES

    private static final java.lang.Class[] TYPES

### factory

    Ascape3DPartFactory factory

### factoryProvider

    I3DModelFactoryProvider factoryProvider

Constructor Detail

### Ascape3DAdapterFactory

    public Ascape3DAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `org.eclipse.core.runtime.IAdapterFactory#getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Returns:
  See Also:
    `org.eclipse.core.runtime.IAdapterFactory#getAdapterList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors